# bz2dec

Decodes compressed streams

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──bz2dec

## Factory details

Authors: – Lutz Mueller <lutz@users.sourceforge.net></lutz@users.sourceforge.net>

Classification: – `Codec/Decoder`

Rank – none

Plugin – bz2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    application/x-bzip:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### buffer-size

    “buffer-size” guint

Buffer size

Flags : Read / Write

Default value : 1024

### first-buffer-size

    “first-buffer-size” guint

Size of first buffer (used to determine the mime type of the uncompressed data)

Flags : Read / Write

Default value : 1024

The results of the search are